Reports whether Ollama is installed, whether this engine runs it, its endpoint and the models it holds.
GET
/v1/m/agenttools/ollama
const url = 'https://example.com/v1/m/agenttools/ollama';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/v1/m/agenttools/ollama \ --header 'Authorization: Bearer <token>'Reports whether Ollama is installed, whether this engine runs it, its endpoint and the models it holds.
Authorizations
Section titled “ Authorizations ”Responses
Section titled “ Responses ”Whether Ollama is installed and runs on this node, its endpoint and its models
Media type application/json
object
endpoint
string
installed
required
boolean
message
string
models
required
Array<string>
state
required
string
Example
{ "state": "stopped"}Bad request
Media type application/json
object
Example generated
{}Unauthenticated
Media type application/json
object
Example generated
{}Forbidden / step-up required
Media type application/json
object
Example generated
{}Not found
Media type application/json
object
Example generated
{}Conflict
Media type application/json
object
Example generated
{}Required evidence or store unavailable
Media type application/json
object
Example generated
{}